/***************************************************************************

       File: callbacks.h
   Contents: Header file for callbacks.c
Exported by: callbacks.c
Imported by: xmtutor.c
    Part of: The Xmtutor application
     Author: Jan Borchers (job@ira.uka.de)

    $Source: /home/mit1/job/distribution/Xmtut/RCS/callbacks.h,v $
  $Revision: 1.3 $
      $Date: 1994/10/17 18:14:35 $
     $State: Rel $
    $Locker:  $

$Log: callbacks.h,v $
 * Revision 1.3  1994/10/17  18:14:35  job
 * First revision under version control.
 *

***************************************************************************/


/**************************************************************************/
/*                                                                        */
/* COPYRIGHT NOTICE:                                                      */
/* -----------------                                                      */
/* All parts of the Xmtutor application and the sample Motif tutorial are */
/* Copyright (C) 1993,1994 Jan Borchers.                                  */
/*                                                                        */
/**************************************************************************/


EXTERN void RestoreCB         (Widget w, caddr_t client_data, caddr_t call_data); /* CB to restore original resource file */
EXTERN void ExitCB            (Widget w, caddr_t client_data, caddr_t call_data); /* CB to popup exit question dialog */
EXTERN void ExitOKCB          (Widget w, caddr_t client_data, caddr_t call_data); /* CB to exit the application */
EXTERN void NextSectionCB     (Widget w, caddr_t client_data, caddr_t call_data); /* CB to go to the next section */
EXTERN void PreviousSectionCB (Widget w, caddr_t client_data, caddr_t call_data); /* CB to go to the previous section */
EXTERN void SetSectionListCB  (Widget w, caddr_t client_data,			  /* Callback to set list of sections in the */
			       XmListCallbackStruct *call_data);		  /* "Choose a section..." dialog */
EXTERN void ChooseSectionCB   (Widget w, caddr_t client_data, caddr_t call_data); /* CB to open section choosing dialog*/
EXTERN void ChooseOKCB        (Widget w, caddr_t client_data, caddr_t call_data); /* CB to change to chosen chapter & section*/
EXTERN void ChooseCancelCB    (Widget w, caddr_t client_data, caddr_t call_data); /* CB to cancel section choosing */
EXTERN void IndexCB           (Widget w, caddr_t client_data, caddr_t call_data); /* CB to display index list */
EXTERN void IndexOKCB         (Widget w, caddr_t client_data,			  /* CB to jump to section of */
			       XmSelectionBoxCallbackStruct *call_data);	  /* chosen keyword */
EXTERN void IndexCancelCB     (Widget w, caddr_t client_data,
			       XmSelectionBoxCallbackStruct *call_data);          /* CB to cancel index dialog */
EXTERN void IndexNoMatchCB    (Widget w, caddr_t client_data, caddr_t call_data); /* CB if index keyword does not exist */
EXTERN void RunCB             (Widget w, caddr_t client_data, caddr_t call_data); /* CB to run example program */
EXTERN void OnMenusCB         (Widget w, caddr_t client_data, caddr_t call_data); /* CB to display help on menus */
EXTERN void OnVersionCB       (Widget w, caddr_t client_data, caddr_t call_data); /* CB to display help on version */

